CWT Credentials
Create a CWT Credential configuration
/v2/credentials/compact/configurationsAuthorization
bearerAuth In: header
Request Body
application/json
The credential configuration payload
Response Body
application/json
application/json
curl -X POST "https://example.vii.au01.mattr.global/v2/credentials/compact/configurations" \ -H "Content-Type: application/json" \ -d '{ "claimMappings": { "firstName": { "mapFrom": "claims.given_name", "required": true }, "address": { "mapFrom": "claims.address.formatted" }, "picture": { "mapFrom": "claims.picture", "defaultValue": "http://example.edu/img/placeholder.png" }, "badge": { "defaultValue": "http://example.edu/img/badge.png" }, "providerSubjectId": { "mapFrom": "authenticationProvider.subjectId" } } }'{
"id": "983c0a86-204f-4431-9371-f5a22e506599",
"type": "CourseCredential",
"claimMappings": {
"firstName": {
"mapFrom": "claims.given_name",
"required": true
},
"address": {
"mapFrom": "claims.address.formatted"
},
"picture": {
"mapFrom": "claims.picture",
"defaultValue": "http://example.edu/img/placeholder.png"
},
"badge": {
"defaultValue": "http://example.edu/img/badge.png"
},
"providerSubjectId": {
"mapFrom": "authenticationProvider.subjectId"
}
},
"revocable": true,
"claimSourceId": "78e1b90c-401d-45bb-89c0-938da4d44c60",
"expiresIn": {
"years": 1,
"months": 12,
"weeks": 52,
"days": 365,
"hours": 24,
"minutes": 1440,
"seconds": 3600
}
}{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}Retrieve all CWT Credential configurations
/v2/credentials/compact/configurationsAuthorization
bearerAuth In: header
Query Parameters
Range size of returned list.
1001 <= value <= 1000Starting point for the list of entries.
The optional credential type to filter on
Response Body
application/json
application/json
curl -X GET "https://example.vii.au01.mattr.global/v2/credentials/compact/configurations"{
"nextCursor": "Y3JlYXRlZEF0PTIwMjAtMDgtMjVUMDY6NDY6MDkuNTEwWiZpZD1hNjZmZmVhNS04NDhlLTQzOWQtODBhNC1kZGE1NWY1M2UzNmM",
"data": [
{
"id": "983c0a86-204f-4431-9371-f5a22e506599",
"type": "CourseCredential",
"claimMappings": {
"firstName": {
"mapFrom": "claims.given_name",
"required": true
},
"address": {
"mapFrom": "claims.address.formatted"
},
"picture": {
"mapFrom": "claims.picture",
"defaultValue": "http://example.edu/img/placeholder.png"
},
"badge": {
"defaultValue": "http://example.edu/img/badge.png"
},
"providerSubjectId": {
"mapFrom": "authenticationProvider.subjectId"
}
},
"revocable": true,
"claimSourceId": "78e1b90c-401d-45bb-89c0-938da4d44c60",
"expiresIn": {
"years": 1,
"months": 12,
"weeks": 52,
"days": 365,
"hours": 24,
"minutes": 1440,
"seconds": 3600
}
}
]
}{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}Retrieve a CWT Credential configuration
/v2/credentials/compact/configurations/{id}Authorization
bearerAuth In: header
Path Parameters
Unique identifier for the CWT credential configuration.
uuidResponse Body
application/json
application/json
application/json
curl -X GET "https://example.vii.au01.mattr.global/v2/credentials/compact/configurations/3948c40e-6e19-4ffc-933c-91f643f24264"{
"id": "983c0a86-204f-4431-9371-f5a22e506599",
"type": "CourseCredential",
"claimMappings": {
"firstName": {
"mapFrom": "claims.given_name",
"required": true
},
"address": {
"mapFrom": "claims.address.formatted"
},
"picture": {
"mapFrom": "claims.picture",
"defaultValue": "http://example.edu/img/placeholder.png"
},
"badge": {
"defaultValue": "http://example.edu/img/badge.png"
},
"providerSubjectId": {
"mapFrom": "authenticationProvider.subjectId"
}
},
"revocable": true,
"claimSourceId": "78e1b90c-401d-45bb-89c0-938da4d44c60",
"expiresIn": {
"years": 1,
"months": 12,
"weeks": 52,
"days": 365,
"hours": 24,
"minutes": 1440,
"seconds": 3600
}
}{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}Update a CWT Credential configuration
/v2/credentials/compact/configurations/{id}Authorization
bearerAuth In: header
Path Parameters
Unique identifier for the CWT credential configuration.
uuidRequest Body
application/json
Update a CWT credential configuration
Response Body
application/json
application/json
application/json
curl -X PUT "https://example.vii.au01.mattr.global/v2/credentials/compact/configurations/3948c40e-6e19-4ffc-933c-91f643f24264" \ -H "Content-Type: application/json" \ -d '{ "claimMappings": { "firstName": { "mapFrom": "claims.given_name", "required": true }, "address": { "mapFrom": "claims.address.formatted" }, "picture": { "mapFrom": "claims.picture", "defaultValue": "http://example.edu/img/placeholder.png" }, "badge": { "defaultValue": "http://example.edu/img/badge.png" }, "providerSubjectId": { "mapFrom": "authenticationProvider.subjectId" } } }'{
"id": "983c0a86-204f-4431-9371-f5a22e506599",
"type": "CourseCredential",
"claimMappings": {
"firstName": {
"mapFrom": "claims.given_name",
"required": true
},
"address": {
"mapFrom": "claims.address.formatted"
},
"picture": {
"mapFrom": "claims.picture",
"defaultValue": "http://example.edu/img/placeholder.png"
},
"badge": {
"defaultValue": "http://example.edu/img/badge.png"
},
"providerSubjectId": {
"mapFrom": "authenticationProvider.subjectId"
}
},
"revocable": true,
"claimSourceId": "78e1b90c-401d-45bb-89c0-938da4d44c60",
"expiresIn": {
"years": 1,
"months": 12,
"weeks": 52,
"days": 365,
"hours": 24,
"minutes": 1440,
"seconds": 3600
}
}{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}Delete a CWT Credential configuration
/v2/credentials/compact/configurations/{id}Authorization
bearerAuth In: header
Path Parameters
Unique identifier for the CWT credential configuration.
uuidResponse Body
application/json
application/json
curl -X DELETE "https://example.vii.au01.mattr.global/v2/credentials/compact/configurations/3948c40e-6e19-4ffc-933c-91f643f24264"{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}How would you rate this page?
Last updated on